// cPlayerLoginDlg.h: interface for the cPlayerLoginDlg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CPLAYERLOGINDLG_H__458F3801_ADB7_11D2_83E4_88ED02C10000__INCLUDED_)
#define AFX_CPLAYERLOGINDLG_H__458F3801_ADB7_11D2_83E4_88ED02C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "cDialog.h"

class cPlayerLoginDlg : public cDialog{
	enum eDialogItemId{
		IDC_NAME_EDIT = IDOK + 1000
	};
private:
	static bool ClassRegistered;
	cGameInfo *pGameInfo;

protected:
	cCommonControl *pOkBtnCtrl;
	cCommonControl *pCancelBtnCtrl;
	cCommonControl *pNameEditCtrl;

	virtual bool RegisterClass(HINSTANCE hInstance);
	virtual char *GetClassName(){ return "GameCreate"; }
	virtual bool IsClassRegistered(){ return ClassRegistered; }
	virtual bool Create(cWindow * hWndParent);
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	void OnCreate(LPARAM lParam);
	void OnDestroy();
	void OnPaint(WPARAM wParam, LPARAM lParam);
	bool OnCommand(WPARAM wParam, LPARAM lParam);

public:
	cASGameCreateDialog();
	virtual ~cASGameCreateDialog();

	virtual int DoModal(cWindow *, cGameInfo *_pGameInfo);

public:
	cPlayerLoginDlg();
	virtual ~cPlayerLoginDlg();

};

#endif // !defined(AFX_CPLAYERLOGINDLG_H__458F3801_ADB7_11D2_83E4_88ED02C10000__INCLUDED_)
